.snackbar {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 4px;
  padding: 16px;
  position: fixed;
  z-index: 9999; /* Augmenter le z-index pour s'assurer qu'il est au-dessus de tout */
  left: 50%;
  bottom: 30px;
  font-size: 14px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

/* Styles pour les appareils mobiles */
@media screen and (max-width: 600px) {
  .snackbar {
    min-width: 80%;
    width: 80%;
    margin-left: 0;
    left: 10%;
    right: 10%;
    bottom: 20px;
    font-size: 13px;
    padding: 12px;
  }
}

.snackbar.show {
  visibility: visible;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@keyframes fadein {
  from {bottom: 0; opacity: 0;}
  to {bottom: 30px; opacity: 1;}
}

@keyframes fadeout {
  from {bottom: 30px; opacity: 1;}
  to {bottom: 0; opacity: 0;}
}

/* Animations pour mobile */
@media screen and (max-width: 600px) {
  @keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 20px; opacity: 1;}
  }

  @keyframes fadeout {
    from {bottom: 20px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
  }
}
